Coordination overview
curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/coordination/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/coordination/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/coordination/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{space}.{region}.api.niadra.com/v1/coordination/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{space}.{region}.api.niadra.com/v1/coordination/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{space}.{region}.api.niadra.com/v1/coordination/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{space}.{region}.api.niadra.com/v1/coordination/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"awaiting_decision": 123,
"conflicts": {
"commitments_superseded": 123,
"handoffs_expired": 123,
"ownership_overlaps": 123,
"tokens_reused": 123
},
"since": "2023-11-07T05:31:56Z",
"budgets": [
{
"at_limit": 123,
"limit": 123,
"per_hours": 123,
"purpose": "<string>",
"spent": 123,
"subjects": 123
}
],
"contacts": [
{
"contacts": 123,
"direction": "inbound",
"purpose": "<string>",
"state": "reserved"
}
],
"effects": [
{
"effects": 123,
"kind": "<string>",
"state": "reserved"
}
],
"ownership": [
{
"claims": 123,
"holder_kind": "agent",
"holders": 123,
"kind": "owner",
"level": "<string>",
"via": "declaration"
}
]
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Coordination
Coordination overview
What coordination holds now and decided in the last days days, in counts: ownership, effects, conflicts, budgets and contacts. No customer, handle or message. What the Console Coordination screen shows.
GET
/
v1
/
coordination
/
overview
Coordination overview
curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/coordination/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/coordination/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/coordination/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{space}.{region}.api.niadra.com/v1/coordination/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{space}.{region}.api.niadra.com/v1/coordination/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{space}.{region}.api.niadra.com/v1/coordination/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{space}.{region}.api.niadra.com/v1/coordination/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"awaiting_decision": 123,
"conflicts": {
"commitments_superseded": 123,
"handoffs_expired": 123,
"ownership_overlaps": 123,
"tokens_reused": 123
},
"since": "2023-11-07T05:31:56Z",
"budgets": [
{
"at_limit": 123,
"limit": 123,
"per_hours": 123,
"purpose": "<string>",
"spent": 123,
"subjects": 123
}
],
"contacts": [
{
"contacts": 123,
"direction": "inbound",
"purpose": "<string>",
"state": "reserved"
}
],
"effects": [
{
"effects": 123,
"kind": "<string>",
"state": "reserved"
}
],
"ownership": [
{
"claims": 123,
"holder_kind": "agent",
"holders": 123,
"kind": "owner",
"level": "<string>",
"via": "declaration"
}
]
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Response
The counts of the window.
What coordination holds now and decided in the window, in counts: no subject, handle or message is in it.

